Bug 135249 - Some Mono ports to update and add
Some Mono ports to update and add
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Florent Thoumie
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-04 10:50 UTC by romain
Modified: 2009-06-22 09:02 UTC (History)
0 users

See Also:


Attachments
gnome-desktop-sharp20.diff (2.29 KB, patch)
2009-06-04 10:50 UTC, romain
no flags Details | Diff
tomboy.diff (3.99 KB, patch)
2009-06-04 10:50 UTC, romain
no flags Details | Diff
xsp.sh (13.35 KB, text/plain)
2009-06-04 10:50 UTC, romain
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description romain 2009-06-04 10:50:04 UTC
Here are updates for the following ports:

port                             | old version | new version
---------------------------------+-------------+-------------
deskutils/tomboy                 |      0.12.2 |      0.14.2
x11-toolkits/gnome-desktop-sharp |      2.24.0 |      2.36.0
x11-toolkits/gnome-sharp20       |      2.24.0 |      2.24.1

and two new ports:

port         | version
-------------+---------
www/xsp      |     2.4
www/mod_mono |     2.4

Fix: diff -ruN /var/cache/portshaker/freebsd/x11-toolkits/gnome-sharp20/Makefile /tmp/gnome-sharp20/Makefile
--- /var/cache/portshaker/freebsd/x11-toolkits/gnome-sharp20/Makefile	2009-06-03 07:14:48.000000000 +0200
+++ /tmp/gnome-sharp20/Makefile	2009-04-18 21:35:44.620462000 +0200
@@ -2,13 +2,12 @@
 # Date created:         		20061025
 # Whom:                 		Tom McLaughlin <tmclaugh@FreeBSD.org>
 #
-# $FreeBSD: ports/x11-toolkits/gnome-sharp20/Makefile,v 1.9 2009/06/03 05:14:48 marcus Exp $
+# $FreeBSD: ports/x11-toolkits/gnome-sharp20/Makefile,v 1.8 2009/02/09 08:59:54 flz Exp $
 #   $Id: Makefile,v 1.3 2007/10/02 03:37:51 killfill Exp $
 #
 
 PORTNAME=	gnome-sharp
-PORTVERSION=	2.24.0
-PORTREVISION=	3
+PORTVERSION=	2.24.1
 CATEGORIES=	x11-toolkits
 MASTER_SITES=	GNOME
 
diff -ruN /var/cache/portshaker/freebsd/x11-toolkits/gnome-sharp20/distinfo /tmp/gnome-sharp20/distinfo
--- /var/cache/portshaker/freebsd/x11-toolkits/gnome-sharp20/distinfo	2009-02-09 09:59:54.000000000 +0100
+++ /tmp/gnome-sharp20/distinfo	2009-04-18 21:35:44.620462000 +0200
@@ -1,3 +1,3 @@
-MD5 (gnome-sharp-2.24.0.tar.bz2) = 30af2dfb153f417e44b5ac80501685ca
-SHA256 (gnome-sharp-2.24.0.tar.bz2) = 59321848af8c15b83008d8d6a19c2970bed6ccb8072b5089924ce0c398c1dbc6
-SIZE (gnome-sharp-2.24.0.tar.bz2) = 440050
+MD5 (gnome-sharp-2.24.1.tar.bz2) = 408f83f790a5189bcf76ea9299bc6410
+SHA256 (gnome-sharp-2.24.1.tar.bz2) = 0c16c399ded6ea0fe3db944c8396d5683782c8ca36d67a14383b4c27d08f7a70
+SIZE (gnome-sharp-2.24.1.tar.bz2) = 443951
diff -ruN /var/cache/portshaker/freebsd/x11-toolkits/gnome-sharp20/pkg-plist /tmp/gnome-sharp20/pkg-plist
--- /var/cache/portshaker/freebsd/x11-toolkits/gnome-sharp20/pkg-plist	2009-02-09 09:59:54.000000000 +0100
+++ /tmp/gnome-sharp20/pkg-plist	2009-04-18 21:35:44.620462000 +0200
@@ -13,11 +13,71 @@
 lib/mono/gac/gnome-sharp/2.24.0.0__35e10195dab3c99f/gnome-sharp.dll.config
 lib/mono/gac/gnome-vfs-sharp/2.24.0.0__35e10195dab3c99f/gnome-vfs-sharp.dll
 lib/mono/gac/gnome-vfs-sharp/2.24.0.0__35e10195dab3c99f/gnome-vfs-sharp.dll.config
+lib/mono/gac/policy.2.16.art-sharp/0.0.0.0__35e10195dab3c99f/policy.2.16.art-sharp.dll
+lib/mono/gac/policy.2.16.art-sharp/0.0.0.0__35e10195dab3c99f/policy.2.16.config
+lib/mono/gac/policy.2.16.gconf-sharp-peditors/0.0.0.0__35e10195dab3c99f/policy.2.16.config
+lib/mono/gac/policy.2.16.gconf-sharp-peditors/0.0.0.0__35e10195dab3c99f/policy.2.16.gconf-sharp-peditors.dll
+lib/mono/gac/policy.2.16.gconf-sharp/0.0.0.0__35e10195dab3c99f/policy.2.16.config
+lib/mono/gac/policy.2.16.gconf-sharp/0.0.0.0__35e10195dab3c99f/policy.2.16.gconf-sharp.dll
+lib/mono/gac/policy.2.16.gnome-vfs-sharp/0.0.0.0__35e10195dab3c99f/policy.2.16.config
+lib/mono/gac/policy.2.16.gnome-vfs-sharp/0.0.0.0__35e10195dab3c99f/policy.2.16.gnome-vfs-sharp.dll
+lib/mono/gac/policy.2.20.art-sharp/0.0.0.0__35e10195dab3c99f/policy.2.20.art-sharp.dll
+lib/mono/gac/policy.2.20.art-sharp/0.0.0.0__35e10195dab3c99f/policy.2.20.config
+lib/mono/gac/policy.2.20.gconf-sharp-peditors/0.0.0.0__35e10195dab3c99f/policy.2.20.config
+lib/mono/gac/policy.2.20.gconf-sharp-peditors/0.0.0.0__35e10195dab3c99f/policy.2.20.gconf-sharp-peditors.dll
+lib/mono/gac/policy.2.20.gconf-sharp/0.0.0.0__35e10195dab3c99f/policy.2.20.config
+lib/mono/gac/policy.2.20.gconf-sharp/0.0.0.0__35e10195dab3c99f/policy.2.20.gconf-sharp.dll
+lib/mono/gac/policy.2.20.gnome-vfs-sharp/0.0.0.0__35e10195dab3c99f/policy.2.20.config
+lib/mono/gac/policy.2.20.gnome-vfs-sharp/0.0.0.0__35e10195dab3c99f/policy.2.20.gnome-vfs-sharp.dll
+lib/mono/gac/policy.2.4.art-sharp/0.0.0.0__35e10195dab3c99f/policy.2.4.art-sharp.dll
+lib/mono/gac/policy.2.4.art-sharp/0.0.0.0__35e10195dab3c99f/policy.2.4.config
+lib/mono/gac/policy.2.4.gconf-sharp-peditors/0.0.0.0__35e10195dab3c99f/policy.2.4.config
+lib/mono/gac/policy.2.4.gconf-sharp-peditors/0.0.0.0__35e10195dab3c99f/policy.2.4.gconf-sharp-peditors.dll
+lib/mono/gac/policy.2.4.gconf-sharp/0.0.0.0__35e10195dab3c99f/policy.2.4.config
+lib/mono/gac/policy.2.4.gconf-sharp/0.0.0.0__35e10195dab3c99f/policy.2.4.gconf-sharp.dll
+lib/mono/gac/policy.2.4.gnome-vfs-sharp/0.0.0.0__35e10195dab3c99f/policy.2.4.config
+lib/mono/gac/policy.2.4.gnome-vfs-sharp/0.0.0.0__35e10195dab3c99f/policy.2.4.gnome-vfs-sharp.dll
+lib/mono/gac/policy.2.6.art-sharp/0.0.0.0__35e10195dab3c99f/policy.2.6.art-sharp.dll
+lib/mono/gac/policy.2.6.art-sharp/0.0.0.0__35e10195dab3c99f/policy.2.6.config
+lib/mono/gac/policy.2.6.gconf-sharp-peditors/0.0.0.0__35e10195dab3c99f/policy.2.6.config
+lib/mono/gac/policy.2.6.gconf-sharp-peditors/0.0.0.0__35e10195dab3c99f/policy.2.6.gconf-sharp-peditors.dll
+lib/mono/gac/policy.2.6.gconf-sharp/0.0.0.0__35e10195dab3c99f/policy.2.6.config
+lib/mono/gac/policy.2.6.gconf-sharp/0.0.0.0__35e10195dab3c99f/policy.2.6.gconf-sharp.dll
+lib/mono/gac/policy.2.6.gnome-vfs-sharp/0.0.0.0__35e10195dab3c99f/policy.2.6.config
+lib/mono/gac/policy.2.6.gnome-vfs-sharp/0.0.0.0__35e10195dab3c99f/policy.2.6.gnome-vfs-sharp.dll
+lib/mono/gac/policy.2.8.art-sharp/0.0.0.0__35e10195dab3c99f/policy.2.8.art-sharp.dll
+lib/mono/gac/policy.2.8.art-sharp/0.0.0.0__35e10195dab3c99f/policy.2.8.config
+lib/mono/gac/policy.2.8.gconf-sharp-peditors/0.0.0.0__35e10195dab3c99f/policy.2.8.config
+lib/mono/gac/policy.2.8.gconf-sharp-peditors/0.0.0.0__35e10195dab3c99f/policy.2.8.gconf-sharp-peditors.dll
+lib/mono/gac/policy.2.8.gconf-sharp/0.0.0.0__35e10195dab3c99f/policy.2.8.config
+lib/mono/gac/policy.2.8.gconf-sharp/0.0.0.0__35e10195dab3c99f/policy.2.8.gconf-sharp.dll
+lib/mono/gac/policy.2.8.gnome-vfs-sharp/0.0.0.0__35e10195dab3c99f/policy.2.8.config
+lib/mono/gac/policy.2.8.gnome-vfs-sharp/0.0.0.0__35e10195dab3c99f/policy.2.8.gnome-vfs-sharp.dll
 lib/mono/gtk-sharp-2.0/art-sharp.dll
 lib/mono/gtk-sharp-2.0/gconf-sharp-peditors.dll
 lib/mono/gtk-sharp-2.0/gconf-sharp.dll
 lib/mono/gtk-sharp-2.0/gnome-sharp.dll
 lib/mono/gtk-sharp-2.0/gnome-vfs-sharp.dll
+lib/mono/gtk-sharp-2.0/policy.2.16.art-sharp.dll
+lib/mono/gtk-sharp-2.0/policy.2.16.gconf-sharp-peditors.dll
+lib/mono/gtk-sharp-2.0/policy.2.16.gconf-sharp.dll
+lib/mono/gtk-sharp-2.0/policy.2.16.gnome-vfs-sharp.dll
+lib/mono/gtk-sharp-2.0/policy.2.20.art-sharp.dll
+lib/mono/gtk-sharp-2.0/policy.2.20.gconf-sharp-peditors.dll
+lib/mono/gtk-sharp-2.0/policy.2.20.gconf-sharp.dll
+lib/mono/gtk-sharp-2.0/policy.2.20.gnome-vfs-sharp.dll
+lib/mono/gtk-sharp-2.0/policy.2.4.art-sharp.dll
+lib/mono/gtk-sharp-2.0/policy.2.4.gconf-sharp-peditors.dll
+lib/mono/gtk-sharp-2.0/policy.2.4.gconf-sharp.dll
+lib/mono/gtk-sharp-2.0/policy.2.4.gnome-vfs-sharp.dll
+lib/mono/gtk-sharp-2.0/policy.2.6.art-sharp.dll
+lib/mono/gtk-sharp-2.0/policy.2.6.gconf-sharp-peditors.dll
+lib/mono/gtk-sharp-2.0/policy.2.6.gconf-sharp.dll
+lib/mono/gtk-sharp-2.0/policy.2.6.gnome-vfs-sharp.dll
+lib/mono/gtk-sharp-2.0/policy.2.8.art-sharp.dll
+lib/mono/gtk-sharp-2.0/policy.2.8.gconf-sharp-peditors.dll
+lib/mono/gtk-sharp-2.0/policy.2.8.gconf-sharp.dll
+lib/mono/gtk-sharp-2.0/policy.2.8.gnome-vfs-sharp.dll
 libdata/pkgconfig/art-sharp-2.0.pc
 libdata/pkgconfig/gconf-sharp-2.0.pc
 libdata/pkgconfig/gconf-sharp-peditors-2.0.pc
@@ -26,13 +86,53 @@
 share/gapi-2.0/art-api.xml
 share/gapi-2.0/gnome-api.xml
 share/gapi-2.0/gnome-vfs-api.xml
+@dirrm lib/mono/gac/policy.2.8.gnome-vfs-sharp/0.0.0.0__35e10195dab3c99f
+@dirrm lib/mono/gac/policy.2.8.gnome-vfs-sharp
+@dirrm lib/mono/gac/policy.2.8.gconf-sharp/0.0.0.0__35e10195dab3c99f
+@dirrm lib/mono/gac/policy.2.8.gconf-sharp-peditors/0.0.0.0__35e10195dab3c99f
+@dirrm lib/mono/gac/policy.2.8.gconf-sharp-peditors
+@dirrm lib/mono/gac/policy.2.8.gconf-sharp
+@dirrm lib/mono/gac/policy.2.8.art-sharp/0.0.0.0__35e10195dab3c99f
+@dirrm lib/mono/gac/policy.2.8.art-sharp
+@dirrm lib/mono/gac/policy.2.6.gnome-vfs-sharp/0.0.0.0__35e10195dab3c99f
+@dirrm lib/mono/gac/policy.2.6.gnome-vfs-sharp
+@dirrm lib/mono/gac/policy.2.6.gconf-sharp/0.0.0.0__35e10195dab3c99f
+@dirrm lib/mono/gac/policy.2.6.gconf-sharp-peditors/0.0.0.0__35e10195dab3c99f
+@dirrm lib/mono/gac/policy.2.6.gconf-sharp-peditors
+@dirrm lib/mono/gac/policy.2.6.gconf-sharp
+@dirrm lib/mono/gac/policy.2.6.art-sharp/0.0.0.0__35e10195dab3c99f
+@dirrm lib/mono/gac/policy.2.6.art-sharp
+@dirrm lib/mono/gac/policy.2.4.gnome-vfs-sharp/0.0.0.0__35e10195dab3c99f
+@dirrm lib/mono/gac/policy.2.4.gnome-vfs-sharp
+@dirrm lib/mono/gac/policy.2.4.gconf-sharp/0.0.0.0__35e10195dab3c99f
+@dirrm lib/mono/gac/policy.2.4.gconf-sharp-peditors/0.0.0.0__35e10195dab3c99f
+@dirrm lib/mono/gac/policy.2.4.gconf-sharp-peditors
+@dirrm lib/mono/gac/policy.2.4.gconf-sharp
+@dirrm lib/mono/gac/policy.2.4.art-sharp/0.0.0.0__35e10195dab3c99f
+@dirrm lib/mono/gac/policy.2.4.art-sharp
+@dirrm lib/mono/gac/policy.2.20.gnome-vfs-sharp/0.0.0.0__35e10195dab3c99f
+@dirrm lib/mono/gac/policy.2.20.gnome-vfs-sharp
+@dirrm lib/mono/gac/policy.2.20.gconf-sharp/0.0.0.0__35e10195dab3c99f
+@dirrm lib/mono/gac/policy.2.20.gconf-sharp-peditors/0.0.0.0__35e10195dab3c99f
+@dirrm lib/mono/gac/policy.2.20.gconf-sharp-peditors
+@dirrm lib/mono/gac/policy.2.20.gconf-sharp
+@dirrm lib/mono/gac/policy.2.20.art-sharp/0.0.0.0__35e10195dab3c99f
+@dirrm lib/mono/gac/policy.2.20.art-sharp
+@dirrm lib/mono/gac/policy.2.16.gnome-vfs-sharp/0.0.0.0__35e10195dab3c99f
+@dirrm lib/mono/gac/policy.2.16.gnome-vfs-sharp
+@dirrm lib/mono/gac/policy.2.16.gconf-sharp/0.0.0.0__35e10195dab3c99f
+@dirrm lib/mono/gac/policy.2.16.gconf-sharp-peditors/0.0.0.0__35e10195dab3c99f
+@dirrm lib/mono/gac/policy.2.16.gconf-sharp-peditors
+@dirrm lib/mono/gac/policy.2.16.gconf-sharp
+@dirrm lib/mono/gac/policy.2.16.art-sharp/0.0.0.0__35e10195dab3c99f
+@dirrm lib/mono/gac/policy.2.16.art-sharp
 @dirrm lib/mono/gac/gnome-vfs-sharp/2.24.0.0__35e10195dab3c99f
 @dirrm lib/mono/gac/gnome-vfs-sharp
 @dirrm lib/mono/gac/gnome-sharp/2.24.0.0__35e10195dab3c99f
 @dirrm lib/mono/gac/gnome-sharp
 @dirrm lib/mono/gac/gconf-sharp/2.24.0.0__35e10195dab3c99f
-@dirrm lib/mono/gac/gconf-sharp
 @dirrm lib/mono/gac/gconf-sharp-peditors/2.24.0.0__35e10195dab3c99f
 @dirrm lib/mono/gac/gconf-sharp-peditors
+@dirrm lib/mono/gac/gconf-sharp
 @dirrm lib/mono/gac/art-sharp/2.24.0.0__35e10195dab3c99f
 @dirrm lib/mono/gac/art-sharp
--- gnome-sharp20.diff ends here ---

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	mod_mono
#	mod_mono/files
#	mod_mono/files/patch-Makefile.in
#	mod_mono/files/patch-src_Makefile.in
#	mod_mono/files/patch-src_mod__mono.c
#	mod_mono/pkg-descr
#	mod_mono/distinfo
#	mod_mono/pkg-plist
#	mod_mono/Makefile
#
echo c - mod_mono
mkdir -p mod_mono > /dev/null 2>&1
echo c - mod_mono/files
mkdir -p mod_mono/files > /dev/null 2>&1
echo x - mod_mono/files/patch-Makefile.in
sed 's/^X//' >mod_mono/files/patch-Makefile.in << '94d218557d3b45a917ea86b4b4d5b254'
X--- Makefile.in.orig	Thu Sep 22 14:04:39 2005
X+++ Makefile.in	Sun Oct  2 20:24:15 2005
X@@ -192,7 +192,7 @@
X # Current spec file is obsolete
X #	     packaging/redhat/mod_mono.spec \
X #	     packaging/redhat/mono.conf
X-modmonoconfdir = $(APXS_SYSCONFDIR)
X+modmonoconfdir = %%MOD_MONOCONFDIR%%
X modmonoconf_DATA = mod_mono.conf
X all: all-recursive
X 
94d218557d3b45a917ea86b4b4d5b254
echo x - mod_mono/files/patch-src_Makefile.in
sed 's/^X//' >mod_mono/files/patch-src_Makefile.in << '14b7259cb06b9e7bb586a87c84d66724'
X--- src/Makefile.in.orig	Thu Sep 22 14:04:38 2005
X+++ src/Makefile.in	Sat Oct 22 18:28:32 2005
X@@ -468,8 +468,8 @@
X 
X install: $(lib_LTLIBRARIES)
X 	$(mkinstalldirs) "$(DESTDIR)$(APXS_LIBEXECDIR)"
X-@APACHE2_TRUE@	$(APXS) -S LIBEXECDIR="$(DESTDIR)$(APXS_LIBEXECDIR)" -i -n mono mod_mono.la
X-@APACHE2_FALSE@	$(APXS) -S LIBEXECDIR="$(DESTDIR)$(APXS_LIBEXECDIR)" -i -n mono .libs/mod_mono.so
X+#@APACHE2_TRUE@	$(APXS) -S LIBEXECDIR="$(DESTDIR)$(APXS_LIBEXECDIR)" -i -n mono mod_mono.la
X+	$(APXS) -S LIBEXECDIR="$(DESTDIR)$(APXS_LIBEXECDIR)" -i -n mono .libs/mod_mono.so
X # Tell versions [3.59,3.63) of GNU make to not export all variables.
X # Otherwise a system limit (for SysV at least) may be exceeded.
X .NOEXPORT:
14b7259cb06b9e7bb586a87c84d66724
echo x - mod_mono/files/patch-src_mod__mono.c
sed 's/^X//' >mod_mono/files/patch-src_mod__mono.c << '63de75da016909a9d9fbf14995ff686d'
X
X$FreeBSD$
X
X--- src/mod_mono.c.orig
X+++ src/mod_mono.c
X@@ -1765,8 +1765,12 @@
X 
X 	/* Unblock signals Mono uses: see bug #472732 */
X 	sigemptyset (&sigset);
X+#if defined SIGPWR
X 	sigaddset (&sigset, SIGPWR);
X+#endif /* def SIGPWR */
X+#if defined SIGXCPU
X 	sigaddset (&sigset, SIGXCPU);
X+#endif /* def SIGXCPU */
X 	sigaddset (&sigset, 33);
X 	sigaddset (&sigset, 35);
X 	sigprocmask (SIG_UNBLOCK, &sigset, NULL);
63de75da016909a9d9fbf14995ff686d
echo x - mod_mono/pkg-descr
sed 's/^X//' >mod_mono/pkg-descr << '43561c2fd73155fc85581831304917b2'
XAn Apache module that ties Mono's XSP and Apache together.
X
XWWW: http://www.mono-project.com
43561c2fd73155fc85581831304917b2
echo x - mod_mono/distinfo
sed 's/^X//' >mod_mono/distinfo << 'f9b3661778386ae972a42565f0df183a'
XMD5 (mod_mono-2.4.tar.bz2) = 4dc8e93baa22211e858bff84d3ffabd4
XSHA256 (mod_mono-2.4.tar.bz2) = 10c1c8d339bc35d729d257801f6d235a71ffb23989ff8802646416fc102cc991
XSIZE (mod_mono-2.4.tar.bz2) = 268525
f9b3661778386ae972a42565f0df183a
echo x - mod_mono/pkg-plist
sed 's/^X//' >mod_mono/pkg-plist << 'f4ddc516d4d71538cc2db7cf2737ad25'
X@comment $FreeBSD$
X%%MOD_MONOCONFDIR%%/mod_mono.conf
X%%APACHEMODDIR%%/mod_mono.so
f4ddc516d4d71538cc2db7cf2737ad25
echo x - mod_mono/Makefile
sed 's/^X//' >mod_mono/Makefile << '3464df44259e68d79706fd47c1bcf342'
X# New ports collection makefile for:		mod_mono
X# Date created:					20040828
X# Whom:				Tom McLaughlin <tmclaugh@sdf.lonestar.org>
X#
X# $FreeBSD$
X#   $Id: Makefile,v 1.39 2007/12/13 19:35:47 killfill Exp $
X#
X
XPORTNAME=	mod_mono
XPORTVERSION=	2.4
XCATEGORIES=	www
XMASTER_SITES=	http://ftp.novell.com/pub/mono/sources/${PORTNAME}/
X
XMAINTAINER=	mono@FreeBSD.org
XCOMMENT=	Apache module for serving ASP.NET applications
X
XLIB_DEPENDS=	apr-1:${PORTSDIR}/devel/apr
XBUILD_DEPENDS=	mono:${PORTSDIR}/lang/mono \
X		xsp:${PORTSDIR}/www/xsp
XRUN_DEPENDS=	mono:${PORTSDIR}/lang/mono \
X		xsp:${PORTSDIR}/www/xsp
X
XUSE_APACHE=	2.0+
XUSE_BZIP2=	yes
XUSE_GNOME=	gnometarget
XUSE_AUTOTOOLS=	libtool:15
XCONFIGURE_ARGS=	--man=${PREFIX}/man
X
XMAN8=		mod_mono.8
X
X.include <bsd.port.pre.mk>
X.if ${APACHE_VERSION} == 13
XMOD_MONOCONFDIR=${APACHEETCDIR}
X.else
XMOD_MONOCONFDIR=${APACHEETCDIR}/Includes
X.endif
X
XPLIST_SUB+= MOD_MONOCONFDIR=${MOD_MONOCONFDIR}
X
Xpost-patch:
X	@${REINPLACE_CMD} 's|%%MOD_MONOCONFDIR%%|${PREFIX}/${MOD_MONOCONFDIR}|g' \
X		${WRKSRC}/Makefile.in
X
X.include "${.CURDIR}/../../lang/mono/bsd.mono.mk"
X.include <bsd.port.post.mk>
3464df44259e68d79706fd47c1bcf342
exit
--- mod_mono.sh ends here ---
Comment 1 Beat Gaetzi freebsd_committer 2009-06-04 11:38:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beat

I'll take it.
Comment 2 Beat Gaetzi freebsd_committer 2009-06-04 16:57:34 UTC
Responsible Changed
From-To: beat->flz

flz want this pr.
Comment 3 dfilter freebsd_committer 2009-06-22 08:56:00 UTC
flz         2009-06-22 07:55:50 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
    audio/taglib-sharp   Makefile 
    deskutils/tomboy     Makefile distinfo pkg-plist 
    devel                Makefile 
    devel/mono-tools     Makefile distinfo pkg-plist 
    lang/mono            Makefile distinfo pkg-plist 
    lang/mono/files      patch-configure patch-libgc_configure 
                         patch-mono_metadata_class.c 
                         patch-mono_tests_libtest.c 
    multimedia/banshee   Makefile 
    net/mono-zeroconf    Makefile distinfo pkg-plist 
    www                  Makefile 
    x11-toolkits/gnome-desktop-sharp20 Makefile distinfo 
    x11-toolkits/gnome-sharp20 Makefile distinfo pkg-plist 
    x11-toolkits/gtk-sharp20 Makefile distinfo pkg-plist 
    x11-toolkits/libgdiplus Makefile distinfo 
  Added files:
    lang/mono/files      patch-mcs_tools_security_certmgr.cs 
                         patch-mono_mini_mini-x86.c 
                         patch-mono_utils_mono-proclib.c 
    www/mod_mono         Makefile distinfo pkg-descr pkg-plist 
    www/mod_mono/files   patch-Makefile.in patch-src_Makefile.in 
                         patch-src_mod__mono.c 
    www/xsp              Makefile distinfo pkg-descr pkg-plist 
    www/xsp/files        patch-configure 
  Removed files:
    lang/mono/files      patch-mono_metadata_marshal.c 
                         patch-mono_mini_mini.c 
    devel/mono-tools/files patch-catalog.cs.in 
    devel/monodoc        Makefile distinfo pkg-descr pkg-plist 
    x11-toolkits/gnome-desktop-sharp20/files patch-configure 
  Log:
  - Update lang/mono to 2.4.
  - Update a bunch of c# ports as well (gtksharp20, mono-zeroconf, tomboy,
  gnome-desktop-sharp, gnomesharp20).
  - Remove devel/monodoc as it is now included in lang/mono.
  - Add www/mod_mono, an apache module serving ASP.net pages.
  - Add www/xsp, a mono-based webserver.
  
  PR:             ports/135248, ports/135249
  Submitted by:   Romain Tartiere <romain@blogreen.org>
  
  Revision  Changes    Path
  1.1938    +2 -1      ports/MOVED
  1.5       +2 -1      ports/audio/taglib-sharp/Makefile
  1.35      +2 -1      ports/deskutils/tomboy/Makefile
  1.12      +3 -3      ports/deskutils/tomboy/distinfo
  1.17      +23 -4     ports/deskutils/tomboy/pkg-plist
  1.3529    +0 -1      ports/devel/Makefile
  1.15      +6 -8      ports/devel/mono-tools/Makefile
  1.9       +3 -3      ports/devel/mono-tools/distinfo
  1.2       +0 -36     ports/devel/mono-tools/files/patch-catalog.cs.in (dead)
  1.9       +72 -7     ports/devel/mono-tools/pkg-plist
  1.21      +0 -33     ports/devel/monodoc/Makefile (dead)
  1.14      +0 -3      ports/devel/monodoc/distinfo (dead)
  1.4       +0 -4      ports/devel/monodoc/pkg-descr (dead)
  1.13      +0 -57     ports/devel/monodoc/pkg-plist (dead)
  1.77      +5 -6      ports/lang/mono/Makefile
  1.31      +3 -3      ports/lang/mono/distinfo
  1.14      +12 -14    ports/lang/mono/files/patch-configure
  1.8       +12 -9     ports/lang/mono/files/patch-libgc_configure
  1.1       +19 -0     ports/lang/mono/files/patch-mcs_tools_security_certmgr.cs (new)
  1.2       +9 -6      ports/lang/mono/files/patch-mono_metadata_class.c
  1.2       +0 -29     ports/lang/mono/files/patch-mono_metadata_marshal.c (dead)
  1.3       +76 -0     ports/lang/mono/files/patch-mono_mini_mini-x86.c (new)
  1.2       +0 -14     ports/lang/mono/files/patch-mono_mini_mini.c (dead)
  1.2       +3 -3      ports/lang/mono/files/patch-mono_tests_libtest.c
  1.1       +12 -0     ports/lang/mono/files/patch-mono_utils_mono-proclib.c (new)
  1.31      +237 -29   ports/lang/mono/pkg-plist
  1.13      +2 -3      ports/multimedia/banshee/Makefile
  1.3       +5 -7      ports/net/mono-zeroconf/Makefile
  1.2       +3 -3      ports/net/mono-zeroconf/distinfo
  1.3       +15 -5     ports/net/mono-zeroconf/pkg-plist
  1.2385    +2 -0      ports/www/Makefile
  1.1       +45 -0     ports/www/mod_mono/Makefile (new)
  1.1       +3 -0      ports/www/mod_mono/distinfo (new)
  1.1       +11 -0     ports/www/mod_mono/files/patch-Makefile.in (new)
  1.1       +13 -0     ports/www/mod_mono/files/patch-src_Makefile.in (new)
  1.1       +18 -0     ports/www/mod_mono/files/patch-src_mod__mono.c (new)
  1.1       +3 -0      ports/www/mod_mono/pkg-descr (new)
  1.1       +3 -0      ports/www/mod_mono/pkg-plist (new)
  1.1       +33 -0     ports/www/xsp/Makefile (new)
  1.1       +3 -0      ports/www/xsp/distinfo (new)
  1.1       +31 -0     ports/www/xsp/files/patch-configure (new)
  1.1       +4 -0      ports/www/xsp/pkg-descr (new)
  1.1       +257 -0    ports/www/xsp/pkg-plist (new)
  1.3       +1 -2      ports/x11-toolkits/gnome-desktop-sharp20/Makefile
  1.2       +3 -3      ports/x11-toolkits/gnome-desktop-sharp20/distinfo
  1.2       +0 -20     ports/x11-toolkits/gnome-desktop-sharp20/files/patch-configure (dead)
  1.10      +1 -2      ports/x11-toolkits/gnome-sharp20/Makefile
  1.3       +3 -3      ports/x11-toolkits/gnome-sharp20/distinfo
  1.3       +102 -2    ports/x11-toolkits/gnome-sharp20/pkg-plist
  1.61      +2 -4      ports/x11-toolkits/gtk-sharp20/Makefile
  1.25      +3 -3      ports/x11-toolkits/gtk-sharp20/distinfo
  1.24      +9 -8      ports/x11-toolkits/gtk-sharp20/pkg-plist
  1.16      +2 -2      ports/x11-toolkits/libgdiplus/Makefile
  1.7       +3 -3      ports/x11-toolkits/libgdiplus/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Florent Thoumie freebsd_committer 2009-06-22 09:02:35 UTC
State Changed
From-To: open->closed

Committed. Thanks!